Bug 193294 - [maintainer] graphics/repng2jpeg better conformity upgrade version to 1.0.5
Summary: [maintainer] graphics/repng2jpeg better conformity upgrade version to 1.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 20:32 UTC by Chris Hutchinson
Modified: 2014-09-28 06:49 UTC (History)
3 users (show)

See Also:


Attachments
[maintainer] Makefile DISTNAME LIB_DEPENDS PORTREVISION COMMENT pkg-descr distinfo (1.81 KB, patch)
2014-09-03 20:32 UTC, Chris Hutchinson
no flags Details | Diff
graphics/repng2jpeg [maintainer] test output for 2014-09-03.diff, also attached (3.15 KB, text/plain)
2014-09-03 20:35 UTC, Chris Hutchinson
no flags Details
graphics/repng2jpeg STAGE MAINTAINER MASTER_SITES (1.80 KB, patch)
2014-09-04 19:10 UTC, Chris Hutchinson
no flags Details | Diff
graphics/repng2jpeg VERSION bump request MAINTAINER 2014-09-03.diff attached (1.84 KB, patch)
2014-09-05 01:17 UTC, Chris Hutchinson
no flags Details | Diff
graphics/repng2jpeg VERSION bump FINAL (1.82 KB, patch)
2014-09-05 07:27 UTC, Chris Hutchinson
no flags Details | Diff
graphics/repng2jpeg 2014-09-04 OBSOLETES all previous versions (1.82 KB, patch)
2014-09-05 07:32 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-09-03 20:32:53 UTC
Created attachment 146747 [details]
[maintainer] Makefile DISTNAME LIB_DEPENDS PORTREVISION COMMENT pkg-descr distinfo

graphics/repng2jpeg

My last contribution to this port left a couple of small issues.
Which I believe I've corrected with this patch.

removes DISTNAME (better conformity with standard naming scheme)
renames DISTNAME (see above)
moves LIB_DEPENDS (as required)
bumps PORTREVISION
modifies COMMENT, pkg-descr, distinfo

I didn't properly comply with current testing standards in the
previous version. The attached 2014-09-03.diff attempts to
overcome this shortcoming.

I have also modified the source itself. Other changes to the
source are forthcoming, which will add to this port, and correct
the single [non-fatal] warning emitted in the test output, also
attached (graphics-repng2jpeg-test-out).

Thank you for all your time, and consideration.

--Chris
Comment 1 Chris Hutchinson 2014-09-03 20:35:44 UTC
Created attachment 146749 [details]
graphics/repng2jpeg [maintainer] test output for 2014-09-03.diff, also attached

graphics/repng2jpeg

This is the output from requisite tests, regarding the changes in
2014-09-03.diff, also attached.

Thank you for all your time, and consideration.

--Chris
Comment 2 John Marino freebsd_committer 2014-09-04 15:16:14 UTC
A)

-COMMENT=	Tool to recompress JPEG/PNG/GIF
+COMMENT=	A small tool to recompress JPEG, PNG, and GIF images

That's not a good change.
You can't start a comment with "A", "The", "An", or the name of the port.
I don't know why you are changing this line at all actually, but at lease change "A small tool" to "Tool" (who cares if it's small?)

B)
Since you are controlling the source, please increment the version instead of rerolling the source tarball.  That's a huge faux-pas.  We are supposed to immediately request to upstreams that re-roll tarballs to stop it and don't do it anymore.

This isn't a "if you can" request.  if you want to change the source, either use patches or roll a new tarball with a new version.

If you already published the tarball, you also just broke the port, by the way.  It won't fetch anymore.
Comment 3 John Marino freebsd_committer 2014-09-04 15:18:07 UTC
Your titles are actually WAY too verbose.  (too much information).

most of the stuff you are putting in the title are too trivial to be in the title.
Comment 4 Chris Hutchinson 2014-09-04 19:10:36 UTC
Created attachment 146830 [details]
graphics/repng2jpeg STAGE MAINTAINER MASTER_SITES

graphics/repng2jpeg

Fixed COMMENT
OBSOLETES previous 2014-09-03.diff

--Chris
Comment 5 Chris Hutchinson 2014-09-04 19:15:33 UTC
(In reply to John Marino from comment #2)
> A)
> 
> -COMMENT=	Tool to recompress JPEG/PNG/GIF
> +COMMENT=	A small tool to recompress JPEG, PNG, and GIF images
> 
> That's not a good change.
> You can't start a comment with "A", "The", "An", or the name of the port.
> I don't know why you are changing this line at all actually, but at lease
> change "A small tool" to "Tool" (who cares if it's small?)
> 
> B)
> Since you are controlling the source, please increment the version instead
> of rerolling the source tarball.  That's a huge faux-pas.  We are supposed
> to immediately request to upstreams that re-roll tarballs to stop it and
> don't do it anymore.
> 
> This isn't a "if you can" request.  if you want to change the source, either
> use patches or roll a new tarball with a new version.
> 
> If you already published the tarball, you also just broke the port, by the
> way.  It won't fetch anymore.

Nope. No faux-pas here. Well, not really. In this case, there was a subtle
re-naming change; from: PORTNAME_VERSION, to: PORTNAME-VERSION. Underscore,
to hyphen. No possible fetch(1) issue(s) either. I left the previous
file as-was, where-was. I thought of all that, already. :)

Thanks, John.

--Chris
Comment 6 John Marino freebsd_committer 2014-09-04 19:28:06 UTC
Well, that means only one thing is wrong instead of two.
It's good that the port isn't currently broken, but changing source and keeping the same version number is not good.  That's the faux-pas I was referring to.

But at least you avoid fetch issues.
Comment 7 Chris Hutchinson 2014-09-04 20:16:49 UTC
(In reply to John Marino from comment #6)
> Well, that means only one thing is wrong instead of two.
> It's good that the port isn't currently broken, but changing source and
> keeping the same version number is not good.  That's the faux-pas I was
> referring to.
> 
> But at least you avoid fetch issues.

Sure. I get it. Given the source is now in my control. Future
version(s) will use a more FreeBSD friendly naming scheme. :)

Thanks, John.

--Chris
Comment 8 John Marino freebsd_committer 2014-09-04 21:11:43 UTC
(In reply to C Hutchinson from comment #7)
> Sure. I get it. Given the source is now in my control. Future
> version(s) will use a more FreeBSD friendly naming scheme. :)

I haven't said anything about the naming scheme.
I am objecting, strongly, to you changing the source without using patches or a new version.  There are 3 outcomes here:

1) you revert the distinfo file and provide patches instead
2) You updating the source to change the version number, re-roll the tarball, and update the version on the makefile and regenerated the distinfo
3) you withdraw the PR.

What you have here is unacceptable.
Comment 9 Chris Hutchinson 2014-09-05 01:02:48 UTC
(In reply to John Marino from comment #8)
> (In reply to C Hutchinson from comment #7)
> > Sure. I get it. Given the source is now in my control. Future
> > version(s) will use a more FreeBSD friendly naming scheme. :)
> 
> I haven't said anything about the naming scheme.
> I am objecting, strongly, to you changing the source without using patches
> or a new version.  There are 3 outcomes here:
> 
> 1) you revert the distinfo file and provide patches instead
> 2) You updating the source to change the version number, re-roll the
> tarball, and update the version on the makefile and regenerated the distinfo
> 3) you withdraw the PR.
> 
> What you have here is unacceptable.

O. OK. Sure. That's understandable.
I'll take what's behind door number 2. :)

I'll bump, and regenerate as required. New diff to follow shortly.

Thanks, and sorry for the bother, John. I'll get this right, yet.
Yes. I quite agree. I should have known better, already. :P

--Chris
Comment 10 Chris Hutchinson 2014-09-05 01:17:20 UTC
Created attachment 146841 [details]
graphics/repng2jpeg VERSION bump request MAINTAINER 2014-09-03.diff attached

graphics/repng2jpeg

Corrected, and proper version bump attached (2014-09-03.diff)

Thanks again, John. I'll try, and slow down a bit. So as to
not continue to cost us both so much [extra] time, and bother.

--Chris
Comment 11 John Marino freebsd_committer 2014-09-05 06:02:31 UTC
Almost.  Remove the PORTREVISION line and then it's done.

You know why leaving or incrementing PORTREVISION is wrong in this case, right?
Comment 12 Chris Hutchinson 2014-09-05 07:27:13 UTC
Created attachment 146846 [details]
graphics/repng2jpeg VERSION bump FINAL

graphics/repng2jpeg

D'OH! Overlooked that minor detail.
Should it not already be clear...
requests MAINTAINER
bumps VERSION (source)
new MASTER_SITES
Oh! Do I also need to mention, it adds STAGEDIR?

Thanks, and sorry, John.

--Chris

P.S. Yes I do know. :)
Comment 13 John Marino freebsd_committer 2014-09-05 07:30:49 UTC
/me facepalms

You deleted the wrong line.
Comment 14 Chris Hutchinson 2014-09-05 07:32:54 UTC
Created attachment 146847 [details]
graphics/repng2jpeg 2014-09-04 OBSOLETES all previous versions

graphics/repng2jpeg

Nuked the wrong line -- bumped up arrow, not down arrwow
in my editor.
GAH!

This will do it, as requested.

--Chris, out...
Comment 15 Chris Hutchinson 2014-09-05 07:34:23 UTC
(In reply to John Marino from comment #13)
> /me facepalms
> 
> You deleted the wrong line.

LOL. You should have seen _MY_ reaction. :P

Uhh. Sorry.

--Chris
Comment 16 John Marino freebsd_committer 2014-09-05 07:40:41 UTC
I can't find anything more to complain about. :(
You win, moving to patch-ready pool.
Comment 17 commit-hook freebsd_committer 2014-09-28 06:48:14 UTC
A commit references this bug:

Author: riggs
Date: Sun Sep 28 06:47:31 UTC 2014
New revision: 369436
URL: https://svnweb.freebsd.org/changeset/ports/369436

Log:
  - Update to upstream version 1.0.5
  - Update pkg-descr
  - Pet portlint

  PR:		193294
  Submitted by:	portmaster@bsdforge.com (maintainer)

Changes:
  head/graphics/repng2jpeg/Makefile
  head/graphics/repng2jpeg/distinfo
  head/graphics/repng2jpeg/pkg-descr